@import url('https://fonts.googleapis.com/css2?family=Nunito&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans&display=swap');

html{
  scroll-behavior: smooth;
}

body {
  background-color: #f7f7f7 !important;
  font-family: 'Open Sans';
  font-size: 10px;
}

@media (min-width: 0px) {
  .container {
    max-width: 444px;
    padding-left: 33px;
    padding-right: 33px;
  }
}

@media (min-width: 576px) {
  .container {
    max-width: 444px;
    padding-left: 33px;
    padding-right: 33px;
  }
}

@media (min-width: 768px) {
  .container {
    max-width: 444px;
    padding-left: 33px;
    padding-right: 33px;
  }
}

@media (min-width: 992px) {
  .container {
    max-width: 444px;
    padding-left: 33px;
    padding-right: 33px;
  }
}

@media (min-width: 1200px) {
  .container {
    max-width: 444px;
    padding-left: 33px;
    padding-right: 33px;
  }
}

.text-bold {
  font-weight: bolder;
}

.text-error {
  color: #FB4E4E !important;
}

.bg-primary {
  background-color: #30aee4 !important;
}

.navbar {
  padding: 0.5rem 0rem;
  box-shadow: 0px 1px 6px 1px #e5e5e5;
}

.navbar .container {
  padding-left: 15px;
  padding-right: 15px;
}

.nav-link-back {
  margin-left: 0px;
  margin-right: 0px;
}

.icon-back {
  padding-top: 11.5px;
  padding-bottom: 11.5px;
}

.navbar-title {
  display: inline-block;
  margin: auto;
  font-style: normal;
  font-weight: normal;
  line-height: 19px;
  text-align: center;
  color: #ffffff;
}
.login-title {
  display: inline-block;
  margin: auto;
  font-style: normal;
  font-weight: normal;
  line-height: 19px;
  text-align: center;
  color: #ffffff;
}

.navbar-primary .navbar-title {
  color: #fff !important;
}

.navbar .notification {
  cursor: pointer;
}

.navbar .notification .icon-notification {
  min-width: 24px;
  min-height: 24px;
  max-width: 24px;
  max-height: 24px;
}

.navbar .notification .icon-notification.new {
  min-width: 24px;
  min-height: 25.45px;
  max-width: 24px;
  max-height: 25.45px;
}

.app {
  background-color: #fff !important;
  min-height: calc(100vh);
  position: relative;
}

.app.no-padding {
  padding-left: 0px;
  padding-right: 0px;
}

.main-app {
  min-height: calc(100vh);
  position: relative;
  padding-bottom: 25px;
}

.home-app {
  min-height: calc(100vh);
  position: relative;
  padding-bottom: 25px;
}

.app-navbar .main-app {
  min-height: calc(100vh - 60px);
  top: 56px;
}

.app-navbar .home-app {
  min-height: calc(100vh - 60px);
  top: 20px;
}

.app-bottom-navigation .main-app {
  min-height: calc(100vh - 73px);
  margin-bottom: 73px;
}

.app-bottom-navigation .home-app {
  min-height: calc(100vh - 73px);
  margin-bottom: 73px;
}
/* Button */
.btn {
  font-style: normal;
  font-weight: normal;
  font-size: 14px;
  line-height: 20px;
  padding-top: 10px;
  padding-bottom: 10px;
}

.btn-negative {
  color: #fff;
  background-color: #FB4E4E;
  border-color: #FF6262 ;
}

.btn-negative:hover {
  color: #fff;
  background-color: #FF6262;  
}

.btn-negative:focus,
.btn-negative.focus {
  color: #fff;
  background-color: #E93C3C;
  border-color: #E93C3C;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

.btn-negative.disabled,
.btn-negative:disabled {
  color: #fff;
  background-color: #F7F7F7;
  border-color: #D1D3D4;
}

.btn-primary:hover {
  color: #fff;
  background-color: #6ad2ff;
  border-color: #6ad2ff;
}

.btn-primary:focus,
.btn-primary.focus {
  color: #fff;
  background-color: #259acc;
  border-color: #259acc;
  box-shadow: 0 0 0 0.2rem rgba(38, 143, 255, 0.5);
}

.btn-primary.disabled,
.btn-primary:disabled {
  color: #fff;
  background-color: #30aee4;
  border-color: #30aee4;
}

.btn-primary:not(:disabled):not(.disabled):active,
.btn-primary:not(:disabled):not(.disabled).active,
.show > .btn-primary.dropdown-toggle {
  color: #fff;
  background-color: #6ad2ff;
  border-color: #6ad2ff;
}

.btn-primary:not(:disabled):not(.disabled):active:focus,
.btn-primary:not(:disabled):not(.disabled).active:focus,
.show > .btn-primary.dropdown-toggle:focus {
  box-shadow: 0 0 0 0.2rem rgba(38, 143, 255, 0.5);
}

.btn-rounded {
  border-radius: 40px;
}

.btn-outline-primary {
  color: #30aee4;
  border-color: #30aee4;
}

.btn-outline-primary:hover {
  color: #fff;
  background-color: #30aee4;
  border-color: #30aee4;
}

.btn-outline-primary:focus,
.btn-outline-primary.focus {
  box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.5);
  background-color: #259acc;
  border-color: #259acc;
}

.btn-outline-primary.disabled,
.btn-outline-primary:disabled {
  color: #30aee4;
  background-color: transparent;
}

.btn-outline-primary:not(:disabled):not(.disabled):active,
.btn-outline-primary:not(:disabled):not(.disabled).active,
.show > .btn-outline-primary.dropdown-toggle {
  color: #fff;
  background-color: #30aee4;
  border-color: #30aee4;
}

.btn-progress {
  position: relative;
  background-image: url('../images/spinner_v2_white.svg');
  background-position: center;
  background-repeat: no-repeat;
  background-size: 30px;
  color: transparent !important;
  pointer-events: none;
}

.image-progress {
  position: relative;
  background-image: url('../images/spinner_v2_blue.svg');
  background-position: center;
  background-repeat: no-repeat;
  background-size: 30px;
  color: transparent !important;
  pointer-events: none;
}

/* form control */
.form-control {
  color: #000;
}

.bottom-navigation-root {
  display: flex;
  justify-content: center;
  background-color: rgb(255, 255, 255);
  box-shadow: rgba(0, 0, 0, 0.2) 0px 2px 1px -1px,
    rgba(0, 0, 0, 0.14) 0px 1px 1px 0px, rgba(0, 0, 0, 0.12) 0px 1px 3px 0px;
}

.bottom-navigation-root .bottom-navigation {
  width: 100%;
  border: 0px solid #e0e0e0;
  bottom: 0;
  position: fixed;
  max-width: 446px;
  box-shadow: 4px -4px 6px rgba(0, 0, 0, 0.05);
  height: 73px;
  display: flex;
  justify-content: center;
  background-color: #fff;
}

.bottom-navigation-root .bottom-navigation .menu {
  fill: #a3a3a3;
  color: #a3a3a3;
  flex: 1;
  padding: 17px 12px 9px;
  max-width: 168px;
  min-width: 80px;
  transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms,
    padding-top 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
  border: 0;
  cursor: pointer;
  margin: 0;
  display: inline-flex;
  outline: 0;
  position: relative;
  align-items: center;
  user-select: none;
  border-radius: 0;
  vertical-align: middle;
  justify-content: center;
  text-decoration: none;
  background-color: transparent;
  -webkit-appearance: none;
  -webkit-tap-highlight-color: transparent;
}

.bottom-navigation-root .bottom-navigation .menu .menu-item {
  width: 100%;
  display: inline-flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
}

.bottom-navigation-root .bottom-navigation .menu .menu-item svg path {
  fill: #cbcbcb;
}

.bottom-navigation-root .bottom-navigation .menu .menu-item .title-menu {
  opacity: 1;
  font-size: 0.75rem;
  transition: font-size 0.2s, opacity 0.2s;
  font-family: 'Montserrat', sans-serif;
  transition-delay: 0.1s;
  margin-top: 5px;
  color: #cbcbcb;
}

.bottom-navigation-root .bottom-navigation .menu .menu-item .title-menu b {
  font-size: 10px;
  font-style: normal;
  font-weight: normal;
  line-height: 12px;
}

.bottom-navigation-root .bottom-navigation .menu.active .menu-item svg path {
  fill: #000000;
}

.bottom-navigation-root .bottom-navigation .menu.active .menu-item .title-menu {
  color: rgba(0, 0, 0, 0.5);
}

.lds-spinner {
  color: official;
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}
.lds-spinner div {
  transform-origin: 40px 40px;
  animation: lds-spinner 1.2s linear infinite;
}
.lds-spinner div:after {
  content: ' ';
  display: block;
  position: absolute;
  top: 3px;
  left: 37px;
  width: 6px;
  height: 18px;
  border-radius: 30%;
  background: #30aee4;
}
.lds-spinner div:nth-child(1) {
  transform: rotate(0deg);
  animation-delay: -1.1s;
}
.lds-spinner div:nth-child(2) {
  transform: rotate(45deg);
  animation-delay: -1s;
}
.lds-spinner div:nth-child(3) {
  transform: rotate(90deg);
  animation-delay: -0.9s;
}
.lds-spinner div:nth-child(4) {
  transform: rotate(135deg);
  animation-delay: -0.8s;
}
.lds-spinner div:nth-child(5) {
  transform: rotate(180deg);
  animation-delay: -0.7s;
}
.lds-spinner div:nth-child(6) {
  transform: rotate(225deg);
  animation-delay: -0.6s;
}
.lds-spinner div:nth-child(7) {
  transform: rotate(270deg);
  animation-delay: -0.5s;
}
.lds-spinner div:nth-child(8) {
  transform: rotate(315deg);
  animation-delay: -0.4s;
}
@keyframes lds-spinner {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
.loading-page {
  z-index: 10000;
  background-color: #0000006e;
  min-height: calc(100vh);
  position: relative;
  top: 0;
  left: 0;
}
.loading-page .loading-dialog {
  position: relative;
  margin: auto;
  display: flex;
  max-width: 330px;
  min-height: calc(100% - 1rem);
}
.loading-page .loading-dialog .loading-content {
  position: relative;
  margin: auto;
  display: flex;
  background: #fff;
  border-radius: 8px;
  padding: 10px;
}

.notification-page {
  position: fixed;
  z-index: 10000;
  background-color: transparent;
  width: 100%;
  /* height: 100%; */
  left: 0;
  padding-left: 15px;
  padding-right: 15px;
  bottom: 15px;
}

.notification-page .notification-dialog {
  position: relative;
  margin: auto;
  display: flex;
  max-width: 378px;
}

.notification-page .notification-dialog .notification-content {
  position: relative;
  margin: auto;
  display: flex;
  background: #424242;
  border-radius: 8px;
  padding: 15px;
  width: 100%;
  justify-content: space-between;
  align-items: center;
}

.notification-page
  .notification-dialog
  .notification-content
  .notification-text {
  font-style: normal;
  font-weight: 500;
  font-size: 12px;
  line-height: 13px;
  color: #ffffff;
}

.notification-page .notification-dialog .notification-content svg {
  cursor: pointer;
}

.modal-dialog {
  margin-left: 15px;
  margin-right: 15px;
}

.loading-minor {
  width: 24px;
  height: 24px;
  padding: 0;
  border-radius: 50%;
  position: relative;
}

.loading-minor::before,
.loading-minor::after {
  content: '';
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  border: 3px solid #30aee4;
  border-radius: 50%;
}

.loading-minor::before {
  opacity: 0.3;
}

.loading-minor::after {
  opacity: 0.75;
  border-color: transparent;
  border-left-color: #30aee4;
  animation: loading 1s linear infinite;
}

@keyframes loading {
  0% {
    transform: rotate(0deg);
  }
  50% {
    transform: rotate(180deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
